MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000275124thATC[All Projects] Phraseology/Speechpublic2017-05-27 18:542017-08-23 22:48
ReporterAdvMichael 
Assigned Tontnll 
PriorityhighSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
Platformx64OSWindowsOS Version(All versions)
Product Version2.0-a56 
Target VersionFixed in Version2.0-a58 
Summary0000275: Bug on output string creation at handover between centers
DescriptionIn version a56rc2 I noticed a bug which somehow messes up the text output at the handover between centers, also causing wrong speech output. It appears that some invalid string is referenced, when center replies after contacting it. In the log file there are no obvious abnormal entries.

Please see the screenshots. In the first two examples the string appears to include some characters completely messing up the whole output. In the second to examples the characters "a" and "0" are there.

-------------------------------------------------

09.06.2017 similar bug report from ShaneD for X-Plane 10.51r2

Everything Ok, just one small bug on the descent message from 124th, a strange 3 characters appeared in front of the maintain 15000 message and on my readback as well, didn’t affect anything to do with the descent, just thought I’d let you know about it.

Exert from log:

124thATC v2.0-a56 11:09:18 : Success writing to Registry.
124thATC v2.0-a56 11:09:18 : Communication: SUPERGREEN 151, ہSmaintain 15000 feet
124thATC v2.0-a56 11:10:11 : Success opening registry, writing key...
124thATC v2.0-a56 11:10:11 : Switching voice for SUPERGREEN @151@: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Speech\Voices\Tokens\TTS_MS_EN-GB_HAZEL_11.0
124thATC v2.0-a56 11:10:11 : Success writing to Registry.
124thATC v2.0-a56 11:10:12 : Communication: ہS 15000 feet, SUPERGREEN 151.

bugReport, log.file & screenshot attached.
ShaneD

-------------------------------------------------

18.06.2017 another bug report on the same issue from ShaneD also for 10.51r2
(remark from Michael: I noticed the same thing also on my system, that sometimes when that problem appears the voice output starts spelling all information in phonetic alphabet).

Strange one on this flight, Flying between WATT and WALL as I changed over to Ujung Pandang Control with still 302Nm to go, the message from control came over in a strange way instead of saying;

SUPERGREEN 191, maintain flight level 340

what ATC said was;
SUPERGREEN 191, mike alpha india november tango alpha india november foxtrot lima india golf hotel tango lima echo victor echo lima 340

I checked the log file and there are two strange characters on the line

SUPERGREEN 191, Æ}maintain flight level 340

ATC repeated the message when I clicked on the say it again button, spelling out the words again, but it didn’t happen again for the rest of the flight.

ShaneD
Attachments: Log file, bugReport & 2 screen shots, 1 zoomed in, so you can see what I saw


Steps To ReproduceProblem reported for X-Plane 10.36 and 10.51r2
Additional InformationAdditional logfiles and screenshots stored in MANTIS_0000275 (124thATC-Dashboard).
TagsNo tags attached.
Attached Filesjpg file icon 124thATC_Center_Message.jpg [^] (50,912 bytes) 2017-05-27 18:54

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-05-27 18:54 AdvMichael New Issue
2017-05-27 18:54 AdvMichael File Added: 124thATC_Center_Message.jpg
2017-07-05 23:02 ntnll Status new => assigned
2017-07-05 23:02 ntnll Assigned To => ntnll
2017-07-06 19:31 AdvMichael Description Updated View Revisions
2017-07-06 19:31 AdvMichael Additional Information Updated View Revisions
2017-07-06 19:44 AdvMichael Steps to Reproduce Updated View Revisions
2017-07-06 19:44 AdvMichael Additional Information Updated View Revisions
2017-08-23 22:48 ntnll Status assigned => resolved
2017-08-23 22:48 ntnll Resolution open => fixed
2017-08-23 22:48 ntnll Fixed in Version => 2.0-a58


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker